XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

damage.h
1 /*
2 * This file generated automatically from damage.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __DAMAGE_H
13 #define __DAMAGE_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17 #include "render.h"
18 #include "shape.h"
19 #include "xfixes.h"
20
21 #ifdef __cplusplus
22 extern "C" {
23 #endif
24
25 #define XCB_DAMAGE_MAJOR_VERSION 1
26 #define XCB_DAMAGE_MINOR_VERSION 1
27
28 extern xcb_extension_t xcb_damage_id;
29
30 typedef uint32_t xcb_damage_damage_t;
31
35 typedef struct xcb_damage_damage_iterator_t {
36 xcb_damage_damage_t *data;
37 int rem;
38 int index;
39 } xcb_damage_damage_iterator_t;
40
41 typedef enum xcb_damage_report_level_t {
42 XCB_DAMAGE_REPORT_LEVEL_RAW_RECTANGLES,
43 XCB_DAMAGE_REPORT_LEVEL_DELTA_RECTANGLES,
44 XCB_DAMAGE_REPORT_LEVEL_BOUNDING_BOX,
45 XCB_DAMAGE_REPORT_LEVEL_NON_EMPTY
46 } xcb_damage_report_level_t;
47
49 #define XCB_DAMAGE_BAD_DAMAGE 0
50
54 typedef struct xcb_damage_bad_damage_error_t {
55 uint8_t response_type;
56 uint8_t error_code;
57 uint16_t sequence;
58 } xcb_damage_bad_damage_error_t;
59
63 typedef struct xcb_damage_query_version_cookie_t {
64 unsigned int sequence;
65 } xcb_damage_query_version_cookie_t;
66
68 #define XCB_DAMAGE_QUERY_VERSION 0
69
73 typedef struct xcb_damage_query_version_request_t {
74 uint8_t major_opcode;
75 uint8_t minor_opcode;
76 uint16_t length;
77 uint32_t client_major_version;
78 uint32_t client_minor_version;
79 } xcb_damage_query_version_request_t;
80
84 typedef struct xcb_damage_query_version_reply_t {
85 uint8_t response_type;
86 uint8_t pad0;
87 uint16_t sequence;
88 uint32_t length;
89 uint32_t major_version;
90 uint32_t minor_version;
91 uint8_t pad1[16];
92 } xcb_damage_query_version_reply_t;
93
95 #define XCB_DAMAGE_CREATE 1
96
100 typedef struct xcb_damage_create_request_t {
101 uint8_t major_opcode;
102 uint8_t minor_opcode;
103 uint16_t length;
104 xcb_damage_damage_t damage;
105 xcb_drawable_t drawable;
106 uint8_t level;
107 uint8_t pad0[3];
108 } xcb_damage_create_request_t;
109
111 #define XCB_DAMAGE_DESTROY 2
112
116 typedef struct xcb_damage_destroy_request_t {
117 uint8_t major_opcode;
118 uint8_t minor_opcode;
119 uint16_t length;
120 xcb_damage_damage_t damage;
121 } xcb_damage_destroy_request_t;
122
124 #define XCB_DAMAGE_SUBTRACT 3
125
129 typedef struct xcb_damage_subtract_request_t {
130 uint8_t major_opcode;
131 uint8_t minor_opcode;
132 uint16_t length;
133 xcb_damage_damage_t damage;
134 xcb_xfixes_region_t repair;
135 xcb_xfixes_region_t parts;
136 } xcb_damage_subtract_request_t;
137
139 #define XCB_DAMAGE_ADD 4
140
144 typedef struct xcb_damage_add_request_t {
145 uint8_t major_opcode;
146 uint8_t minor_opcode;
147 uint16_t length;
148 xcb_drawable_t drawable;
149 xcb_xfixes_region_t region;
150 } xcb_damage_add_request_t;
151
153 #define XCB_DAMAGE_NOTIFY 0
154
158 typedef struct xcb_damage_notify_event_t {
159 uint8_t response_type;
160 uint8_t level;
161 uint16_t sequence;
162 xcb_drawable_t drawable;
163 xcb_damage_damage_t damage;
164 xcb_timestamp_t timestamp;
165 xcb_rectangle_t area;
166 xcb_rectangle_t geometry;
167 } xcb_damage_notify_event_t;
168
178 /*****************************************************************************
179 **
180 ** void xcb_damage_damage_next
181 **
182 ** @param xcb_damage_damage_iterator_t *i
183 ** @returns void
184 **
185 *****************************************************************************/
186
187 void
188 xcb_damage_damage_next (xcb_damage_damage_iterator_t *i );
189
200 /*****************************************************************************
201 **
202 ** xcb_generic_iterator_t xcb_damage_damage_end
203 **
204 ** @param xcb_damage_damage_iterator_t i
205 ** @returns xcb_generic_iterator_t
206 **
207 *****************************************************************************/
208
209 xcb_generic_iterator_t
210 xcb_damage_damage_end (xcb_damage_damage_iterator_t i );
211
221 /*****************************************************************************
222 **
223 ** xcb_damage_query_version_cookie_t xcb_damage_query_version
224 **
225 ** @param xcb_connection_t *c
226 ** @param uint32_t client_major_version
227 ** @param uint32_t client_minor_version
228 ** @returns xcb_damage_query_version_cookie_t
229 **
230 *****************************************************************************/
231
232 xcb_damage_query_version_cookie_t
233 xcb_damage_query_version (xcb_connection_t *c ,
234 uint32_t client_major_version ,
235 uint32_t client_minor_version );
236
249 /*****************************************************************************
250 **
251 ** xcb_damage_query_version_cookie_t xcb_damage_query_version_unchecked
252 **
253 ** @param xcb_connection_t *c
254 ** @param uint32_t client_major_version
255 ** @param uint32_t client_minor_version
256 ** @returns xcb_damage_query_version_cookie_t
257 **
258 *****************************************************************************/
259
260 xcb_damage_query_version_cookie_t
261 xcb_damage_query_version_unchecked (xcb_connection_t *c ,
262 uint32_t client_major_version ,
263 uint32_t client_minor_version );
264
280 /*****************************************************************************
281 **
282 ** xcb_damage_query_version_reply_t * xcb_damage_query_version_reply
283 **
284 ** @param xcb_connection_t *c
285 ** @param xcb_damage_query_version_cookie_t cookie
286 ** @param xcb_generic_error_t **e
287 ** @returns xcb_damage_query_version_reply_t *
288 **
289 *****************************************************************************/
290
291 xcb_damage_query_version_reply_t *
292 xcb_damage_query_version_reply (xcb_connection_t *c ,
293 xcb_damage_query_version_cookie_t cookie ,
294 xcb_generic_error_t **e );
295
308 /*****************************************************************************
309 **
310 ** xcb_void_cookie_t xcb_damage_create_checked
311 **
312 ** @param xcb_connection_t *c
313 ** @param xcb_damage_damage_t damage
314 ** @param xcb_drawable_t drawable
315 ** @param uint8_t level
316 ** @returns xcb_void_cookie_t
317 **
318 *****************************************************************************/
319
320 xcb_void_cookie_t
321 xcb_damage_create_checked (xcb_connection_t *c ,
322 xcb_damage_damage_t damage ,
323 xcb_drawable_t drawable ,
324 uint8_t level );
325
335 /*****************************************************************************
336 **
337 ** xcb_void_cookie_t xcb_damage_create
338 **
339 ** @param xcb_connection_t *c
340 ** @param xcb_damage_damage_t damage
341 ** @param xcb_drawable_t drawable
342 ** @param uint8_t level
343 ** @returns xcb_void_cookie_t
344 **
345 *****************************************************************************/
346
347 xcb_void_cookie_t
348 xcb_damage_create (xcb_connection_t *c ,
349 xcb_damage_damage_t damage ,
350 xcb_drawable_t drawable ,
351 uint8_t level );
352
365 /*****************************************************************************
366 **
367 ** xcb_void_cookie_t xcb_damage_destroy_checked
368 **
369 ** @param xcb_connection_t *c
370 ** @param xcb_damage_damage_t damage
371 ** @returns xcb_void_cookie_t
372 **
373 *****************************************************************************/
374
375 xcb_void_cookie_t
376 xcb_damage_destroy_checked (xcb_connection_t *c ,
377 xcb_damage_damage_t damage );
378
388 /*****************************************************************************
389 **
390 ** xcb_void_cookie_t xcb_damage_destroy
391 **
392 ** @param xcb_connection_t *c
393 ** @param xcb_damage_damage_t damage
394 ** @returns xcb_void_cookie_t
395 **
396 *****************************************************************************/
397
398 xcb_void_cookie_t
399 xcb_damage_destroy (xcb_connection_t *c ,
400 xcb_damage_damage_t damage );
401
414 /*****************************************************************************
415 **
416 ** xcb_void_cookie_t xcb_damage_subtract_checked
417 **
418 ** @param xcb_connection_t *c
419 ** @param xcb_damage_damage_t damage
420 ** @param xcb_xfixes_region_t repair
421 ** @param xcb_xfixes_region_t parts
422 ** @returns xcb_void_cookie_t
423 **
424 *****************************************************************************/
425
426 xcb_void_cookie_t
427 xcb_damage_subtract_checked (xcb_connection_t *c ,
428 xcb_damage_damage_t damage ,
429 xcb_xfixes_region_t repair ,
430 xcb_xfixes_region_t parts );
431
441 /*****************************************************************************
442 **
443 ** xcb_void_cookie_t xcb_damage_subtract
444 **
445 ** @param xcb_connection_t *c
446 ** @param xcb_damage_damage_t damage
447 ** @param xcb_xfixes_region_t repair
448 ** @param xcb_xfixes_region_t parts
449 ** @returns xcb_void_cookie_t
450 **
451 *****************************************************************************/
452
453 xcb_void_cookie_t
454 xcb_damage_subtract (xcb_connection_t *c ,
455 xcb_damage_damage_t damage ,
456 xcb_xfixes_region_t repair ,
457 xcb_xfixes_region_t parts );
458
471 /*****************************************************************************
472 **
473 ** xcb_void_cookie_t xcb_damage_add_checked
474 **
475 ** @param xcb_connection_t *c
476 ** @param xcb_drawable_t drawable
477 ** @param xcb_xfixes_region_t region
478 ** @returns xcb_void_cookie_t
479 **
480 *****************************************************************************/
481
482 xcb_void_cookie_t
483 xcb_damage_add_checked (xcb_connection_t *c ,
484 xcb_drawable_t drawable ,
485 xcb_xfixes_region_t region );
486
496 /*****************************************************************************
497 **
498 ** xcb_void_cookie_t xcb_damage_add
499 **
500 ** @param xcb_connection_t *c
501 ** @param xcb_drawable_t drawable
502 ** @param xcb_xfixes_region_t region
503 ** @returns xcb_void_cookie_t
504 **
505 *****************************************************************************/
506
507 xcb_void_cookie_t
508 xcb_damage_add (xcb_connection_t *c ,
509 xcb_drawable_t drawable ,
510 xcb_xfixes_region_t region );
511
512
513 #ifdef __cplusplus
514 }
515 #endif
516
517 #endif
518